Last Comment Bug 1137672 - Lightning fails to send email for event replies
: Lightning fails to send email for event replies
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: E-mail based Scheduling (iTIP/iMIP) (show other bugs)
: Lightning 4.1
: All All
-- major (vote)
: 4.0.0.1
Assigned To: Brian O'Keefe [:bokeefe]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-27 05:01 PST by Brian O'Keefe [:bokeefe]
Modified: 2015-03-04 14:38 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix sending event reply emails (2.81 KB, patch)
2015-02-27 05:02 PST, Brian O'Keefe [:bokeefe]
makemyday: review+
Details | Diff | Splinter Review
Fix sending event reply emails (r=makemyday) (2.84 KB, patch)
2015-02-28 06:18 PST, Brian O'Keefe [:bokeefe]
bokeefe: review+
philipp: approval‑calendar‑aurora+
Details | Diff | Splinter Review

Description User image Brian O'Keefe [:bokeefe] 2015-02-27 05:01:41 PST
With the latest nightly build of Lightning, accepting (or declining) an invitation prompts to send a reply email, but the email isn't sent. There's a javascript error in the console:

calItipEmailTransport.js:230: "composeUtils" is not defined (paraphrased, because I closed Thunderbird).

Moving the definition from line 323 before that fixed it for me.
Comment 1 User image Brian O'Keefe [:bokeefe] 2015-02-27 05:02:47 PST
Created attachment 8570448 [details] [diff] [review]
Fix sending event reply emails
Comment 2 User image [:MakeMyDay] 2015-02-28 03:51:35 PST
Comment on attachment 8570448 [details] [diff] [review]
Fix sending event reply emails

Review of attachment 8570448 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks for finding this and taking care. r=makemyday with the comment below considered.

Please request approval for aurora on the final patch, this needs to be backported to 4.0

::: calendar/itip/calItipEmailTransport.js
@@ +227,5 @@
>                      // Add this recipient id to the list.
>                      toList += rId;
>                  }
> +                let composeUtils = Components.classes["@mozilla.org/messengercompose/computils;1"]
> +                                         .createInstance(Components.interfaces.nsIMsgCompUtils);

Please indent .createInstance to be aligned with .classes
Comment 3 User image Brian O'Keefe [:bokeefe] 2015-02-28 06:18:19 PST
Created attachment 8570909 [details] [diff] [review]
Fix sending event reply emails (r=makemyday)

Now with fixed indentation
Comment 4 User image Brian O'Keefe [:bokeefe] 2015-02-28 06:30:44 PST
Comment on attachment 8570909 [details] [diff] [review]
Fix sending event reply emails (r=makemyday)

[Approval Request Comment]
User impact if declined: Event replies are not sent via email
Testing completed (on c-c, etc.): Worked for me
Risk to taking this patch (and alternatives if risky): low; just moves an existing variable before it is used
String/UUID changes: none
Comment 6 User image Martin Schröder [:mschroeder] 2015-03-04 13:13:23 PST
This still needs to be pushed to comm-aurora!

Note You need to log in before you can comment on or make changes to this bug.